Problemi noti di installazione di SQL Server in Windows 7 o Windows Server 2008 R2

Riepilogo

In questo articolo vengono descritti i problemi noti quando si installa Microsoft SQL Server in un computer che esegue Windows 7 o Windows Server 2008 R2.

Notes

  • Per tutte le versioni eccetto la Express Edition di SQL Server 2008 in cui è in esecuzione su Windows 7 o Windows Server 2008 R2, è necessario avere installato SQL Server 2008 Service Pack 1 (SP1).

    Nota: Express Edition include già il Service Pack 1.
  • Per tutte le edizioni di SQL Server 2005 in eseguono su Windows 7 o Windows Server 2008 R2, è necessario avere installato SQL Server 2005 Service Pack 3 (SP3).
  • In questo articolo, Windows 7 indica la versione client di Windows 7. Windows Server 2008 R2 indica la versione server di Windows 7.
  • Per ulteriori informazioni sui requisiti hardware e software per diverse versioni di SQL Server, vedere requisiti Hardware e software per l'installazione di SQL Server 2012.
  • Per note di rilascio di tale documento vari problemi conosciuti al momento che del rilascio del prodotto, vedere le note sulla versione di SQL Server 2012.

Problemi noti

  • Windows 7 non utilizza la proprietà RequireKerberos per determinare se è attivata l'autenticazione Kerberos

    Poiché Windows 7 non utilizza la proprietà RequireKerberos per determinare se l'autenticazione Kerberos è attivata per una risorsa nome rete, Cluster di Failover si verifica un errore di installazione di SQL Server 2008.
  • Quando il criterio di Federal Information Processing Standard (FIPS) è attivato in Windows 7 o Windows Server 2008 R2, convalida dei Cluster si verifica un errore durante l'installazione di SQL Server 2008

    Quando il criterio FIPS è attivato in Windows 7 o Windows Server 2008 R2, durante l'installazione di SQL Server 2008 la convalida del Cluster. Di conseguenza, il programma di installazione ha esito negativo.

    Per risolvere questi due problemi, è necessario installare SQL Server 2008 e SQL Server 2008 (SP1) o un successivo aggiornamento per le installazioni in cluster. Per ulteriori informazioni su come ottenere Microsoft SQL Server 2008 SP1, fare clic sul numero riportato di seguito per visualizzare l'articolo della Microsoft Knowledge Base:

    968382 come ottenere il service pack più recente per SQL Server 2008

    Per ulteriori informazioni su come aggiornare il programma di installazione di SQL Server in un cluster o un ambiente cluster, fare clic sul numero riportato di seguito per visualizzare l'articolo della Microsoft Knowledge Base:

    955392 come aggiornare o preinstallare un'installazione di SQL Server 2008

  • Installazione di SQL Server 2008 potrebbe non riuscire in Windows Server 2008 R2

    Se la Microsoft.NET Framework non è attivata, l'installazione di SQL Server 2008 potrebbe non riuscire in Windows Server 2008 R2. Questo problema si verifica perché l'installazione di.NET Framework 3.5 è un prerequisito per l'installazione.

    In Windows Server 2008 R2, di 3.5 di.NET Framework è incluso come componente di Windows. Per impostazione predefinita in 3.5 di.NET Framework non è abilitato. Per evitare questo errore di installazione, è necessario attivare di 3.5 di.NET Framework del componente della funzionalità di Windows prima di eseguire l'installazione di SQL Server 2008.
  • Il programma di installazione di SQL Server 2008 potrebbe avere esito negativo

    Il programma di installazione di SQL Server 2008 potrebbe avere esito negativo e viene visualizzato il seguente errore:
    Invoke o BeginInvoke non può essere chiamato su un controllo fino a quando non è stato creato l'handle di finestra.
    È possibile installare un aggiornamento cumulativo per risolvere il problema. Per ulteriori informazioni, fare clic sul seguente numero di articolo per visualizzare l'articolo della Microsoft Knowledge Base:
    975055 FIX: messaggio di errore quando si installa SQL Server 2008 in un computer che esegue Windows 7: "Invoke o BeginInvoke non può essere chiamato su un controllo fino a quando non è stato creato l'handle della finestra"

Ulteriori informazioni

Requisiti minimi di versione per Windows 7 o Windows Server 2008 R2

Prima di installare SQL Server in un computer che esegue Windows 7 o Windows Server 2008 R2, è necessario assicurarsi che soddisfare i seguenti requisiti minimi, come appropriato alla situazione.

SQL Server 2008

Installazioni in cluster

È necessario installare SQL Server 2008 e SQL Server 2008 Service Pack 1 o un aggiornamento successivo (questo è noto anche come una versione integrata).

Installazioni cluster

È necessario installare SQL Server 2008 seguita da SQL Server 2008 Service Pack 1 o un aggiornamento successivo.
Nota: Runtime di SQL Server 2008 express è supportato in Windows 7 e Windows 2008 R2.
Per ulteriori informazioni sui requisiti hardware e software per l'installazione di SQL Server 2008, visitare il sito Web Microsoft Developer Network (MSDN) di requisiti Hardware e Software per l'installazione di SQL Server 2012 .

SQL Server 2005

È necessario installare SQL Server 2005, seguita da SQL Server Service Pack 3 o un successivo aggiornamento.

Per ulteriori informazioni sulle installazioni cluster di SQL Server 2005, fare clic sul numero riportato di seguito per visualizzare l'articolo della Microsoft Knowledge Base riportato di seguito:

973993 alcuni nodi non aggiornati come previsto quando si applica il Service Pack 3 o un aggiornamento di post-Service Pack 3 in un cluster di SQL Server 2005 basato sul clustering di failover di Windows Server 2008 R2

Per ulteriori informazioni su come ottenere SQL Server 2005 service pack, fare clic sul numero dell'articolo della Microsoft Knowledge Base riportato di seguito:

913089 come ottenere il service pack più recente per SQL Server 2005

Ulteriori informazioni per SQL Server 2005


Nota Il runtime di SQL Server 2005 Express Service Pack 2 è supportato in Windows 7 e in Windows Server 2008 R2.


Il.NET Framework

È necessario attivare il Microsoft.NET Framework 3.5 SP1 prima di installare SQL Server 2008 in un computer che esegue Windows Server 2008 R2. Di.NET Framework 3.5 SP1 è un prerequisito per SQL Server 2008. Se non è già installato, il programma di installazione di SQL Server 2008 verrà installato il.NET Framework 3.5 SP1. Tuttavia, per il Clustering di Failover di.NET Framework 3.5 SP1 deve essere installato prima dell'installazione di Cluster di Failover di SQL Server 2008.

In Windows Server 2008 R2, il.NET Framework è un componente di sistema. Pertanto, non è possibile installare il.NET Framework da un punto di ridistribuzione. È necessario installare il.NET Framework dal ruolo del Server oppure utilizzando ServerManagerCmd.exe.

Non è necessario installare il.NET Framework nei seguenti scenari:
  • In un computer che esegue Windows Server 2008 R2 e in cui è installato.NET Framework 3.5 SP1
  • In un computer che esegue Windows 7

Nota: Per impostazione predefinita, viene installato.NET Framework 3.5 SP1 in Windows 7.

Proprietà

ID articolo: 955725 - Ultima revisione: 31 gen 2017 - Revisione: 1

Microsoft SQL Server 2008 Enterprise, Microsoft SQL Server 2008 Developer, Microsoft SQL Server 2008 Standard, Microsoft SQL Server 2005 Enterprise Edition, Microsoft SQL Server 2005 Standard Edition, Microsoft SQL Server 2005 Express Edition, Microsoft SQL Server 2005 Workgroup Edition, Windows Server 2008 R2 Datacenter, Windows Server 2008 R2 Enterprise, Windows Server 2008 R2 Standard, Windows Web Server 2008 R2, Windows 7 Enterprise, Windows 7 Professional, Windows 7 Ultimate

Feedback